Subject: bug#51104: closed (Re: bug#51104: comp-tests.elc messes up after reconfiguring for different machine)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 Sep 2022 20:35:02 +0000

Your bug report

#51104: comp-tests.elc messes up after reconfiguring for different machine

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51104: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51104
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51104: comp-tests.elc messes up after reconfiguring for different machine
From: Paul Eggert <[email-masked]>
To: Andrea Corallo <[email-masked]>
Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>, Andrea Corallo <[email-masked]>
Date: Mon, 12 Sep 2022 15:34:29 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 9/12/22 14:34, Andrea Corallo wrote:
> Probably the quickest and easiest fix is just to add the
> `no-byte-compile' into comp-tests.el.

Thanks for the suggestion. I installed the attached and am closing the 
bug report.
From 357eb8d933f20a9e868d798a3cd4feb8536b1948 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Mon, 12 Sep 2022 15:31:36 -0500
Subject: [PATCH] Fix comp-tests.el problem after reconfiguring

* test/src/comp-tests.el: Do not byte-compile, as the .elc
file would be machine-dependent (bug#51104).
---
 test/src/comp-tests.el | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/test/src/comp-tests.el b/test/src/comp-tests.el
index 1b239cec79..a5f33069e0 100644
--- a/test/src/comp-tests.el
+++ b/test/src/comp-tests.el
@@ -1472,4 +1472,8 @@ comp-tests-cond-rw-checker-type
           (equal (comp-mvar-typeset mvar)
                  comp-tests-cond-rw-expected-type))))))))
 
+;; Local Variables:
+;; no-byte-compile: t
+;; End:
+
 ;;; comp-tests.el ends here
-- 
2.37.2

Subject: comp-tests.elc messes up after reconfiguring for different machine
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Andrea Corallo <[email-masked]>
Date: Fri, 8 Oct 2021 15:59:06 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When trying out the emacs-28 branch on both 32- and 64-bit platforms, I 
had test failures that I tracked down to this line:

test/src/comp-tests.el:933:       (integer ,most-negative-fixnum 
,most-positive-fixnum))

My problem was that I'd built test/src/comp-tests.elc on a 32-bit 
platform (using "./configure CC='gcc -m32'" on an x86-64 machine) so 
that .elc file had been built assuming 32-bit values for 
most-negative-fixnum and most-positive fixnum. When I then re-ran 
'configure' for a 64-bit platform the .elc files were not automatically 
rebuilt for it (they're supposed to be machine-independent, right?) and 
so the optimizations were incorrect for a 64-bit platform and the tests 
failed.

What's a good way to fix this problem, while still testing everything 
that comp-tests.el wants to test?